%global momorel 1
%global tomoever 0.6.0
%global md5sum_src0 2c2573d405b9bf08c618c8dabf3b668a

Summary: A tool for providing tomoe support to uim
Name: uim-tomoe-gtk
Version: 0.6.0
Release: %{momorel}m%{?dist}
License: LGPL
URL: https://sourceforge.jp/projects/tomoe/
Group: User Interface/X
%NoSource 0 http://dl.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-no-e.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: uim, tomoe >= %{tomoever}, libtomoe-gtk >= %{tomoever}
BuildPreReq: gtk2-devel >= 2.4.0
BuildPreReq: uim-devel >= 1.4.0
BuildPreReq: libtomoe-gtk-devel >= %{tomoever}
BuildPreReq: pkgconfig, gettext-devel
BuildPreReq: automake, autoconf, libtool

%description
A tool for providing tomoe support to uim.

%prep
%setup -q
%patch0 -p1

%build
autoconf
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/uim-tomoe-gtk
%{_datadir}/locale/*/LC_MESSAGES/uim-tomoe-gtk.mo

%changelog
* Thu Jul  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-1m)
- version 0.6.0
- update no-e.patch

* Wed Feb  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-2m)
- rebuild against uim-1.4.0

* Fri Dec 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-1m)
- version 0.5.0

* Thu Nov 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- version 0.4.0

* Wed Nov 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- version 0.3.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.0-8m)
- rebuild against expat-2.0.0-1m

* Sat Aug  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-7m)
- rebuild against uim-1.2.0

* Sat Jul  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-6m)
- remove desktop file (uim-tomoe-gtk was merged to uim-toolbar, it's smart)

* Sat Jun 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-5m)
- rebuild against uim-1.1.0

* Fri Jan 13 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.0-4m)
- apply 'uim-tomoe-gtk-0.2.0-no-e.patch' to avoid dependency with enlightenment

* Fri Dec  2 2005 Masaru SANUKI <sanuki@mmonga-linux.org>
- (0.2.0-3m)
- update uim-tomoe-gtk.desktop

* Sun Nov  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-2m)
- update uim-tomoe-gtk.desktop

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- version 0.2.0
- update uim-tomoe-gtk.desktop

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import %%description from cooker
